cURL
curl --request GET 'https://api.brightalk.ai/call-history/human_11111111-1111-4111-8111-111111111111' \
--header "Authorization: Bearer $BRIGHTALK_API_KEY" \
--header "Brightalk-Version: 2026-07-16"const response = await fetch("https://api.brightalk.ai/call-history/human_11111111-1111-4111-8111-111111111111", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.BRIGHTALK_API_KEY}`,
"Brightalk-Version": "2026-07-16",
},
});
console.log(response.status, await response.json());import os
import requests
response = requests.request(
"GET",
"https://api.brightalk.ai/call-history/human_11111111-1111-4111-8111-111111111111",
headers={
"Authorization": f"Bearer {os.environ['BRIGHTALK_API_KEY']}",
"Brightalk-Version": "2026-07-16",
},
)
print(response.status_code, response.json()){
"object": "call_history_entry",
"id": "<string>",
"source": "ai",
"call_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"direction": "inbound",
"status": "<string>",
"occurred_at": "<string>",
"connected_at": "<string>",
"ended_at": "<string>",
"duration_seconds": 4503599627370495,
"is_archived": true,
"result": {
"object": "call_result",
"schema_version": "2026-11-18",
"call_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revision": "<string>",
"classification_status": "processing",
"classification_unavailable_reason": "not_recorded",
"poll_after_seconds": 5,
"outcome": "<string>",
"outcome_reason": "<string>",
"conversation_result": {
"version": "universal-v1",
"code": "agreed_human_contact",
"reason": "<string>",
"evidence": [
"<string>"
]
},
"voicemail": {
"detected": true,
"source": "operator",
"message_status": "reported_complete"
}
}
}Calls
取得一筆通話歷史
取得一筆留存通話歷史與正式顯示分類。歷史 ID 不能用於取消通話。已刪除與其他組織的資料一律回傳相同的 404。引用證據除了 calls:read,另需 transcripts:read。
GET
/
call-history
/
{history_id}
cURL
curl --request GET 'https://api.brightalk.ai/call-history/human_11111111-1111-4111-8111-111111111111' \
--header "Authorization: Bearer $BRIGHTALK_API_KEY" \
--header "Brightalk-Version: 2026-07-16"const response = await fetch("https://api.brightalk.ai/call-history/human_11111111-1111-4111-8111-111111111111", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.BRIGHTALK_API_KEY}`,
"Brightalk-Version": "2026-07-16",
},
});
console.log(response.status, await response.json());import os
import requests
response = requests.request(
"GET",
"https://api.brightalk.ai/call-history/human_11111111-1111-4111-8111-111111111111",
headers={
"Authorization": f"Bearer {os.environ['BRIGHTALK_API_KEY']}",
"Brightalk-Version": "2026-07-16",
},
)
print(response.status_code, response.json()){
"object": "call_history_entry",
"id": "<string>",
"source": "ai",
"call_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"direction": "inbound",
"status": "<string>",
"occurred_at": "<string>",
"connected_at": "<string>",
"ended_at": "<string>",
"duration_seconds": 4503599627370495,
"is_archived": true,
"result": {
"object": "call_result",
"schema_version": "2026-11-18",
"call_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revision": "<string>",
"classification_status": "processing",
"classification_unavailable_reason": "not_recorded",
"poll_after_seconds": 5,
"outcome": "<string>",
"outcome_reason": "<string>",
"conversation_result": {
"version": "universal-v1",
"code": "agreed_human_contact",
"reason": "<string>",
"evidence": [
"<string>"
]
},
"voicemail": {
"detected": true,
"source": "operator",
"message_status": "reported_complete"
}
}
}標頭
回應
已傳回目前的通話歷史或結果。